tbb::interface6::internal::basic_operation< Body > Class Template Reference

`#include <aggregator.h>`

Inheritance diagram for tbb::interface6::internal::basic_operation< Body >:
Collaboration diagram for tbb::interface6::internal::basic_operation< Body >:

## Public Member Functions

| basic_operation (const Body &b)
Public Member Functions inherited from tbb::interface6::internal::basic_operation_base
| basic_operation_base ()
virtual | ~basic_operation_base ()
Public Member Functions inherited from tbb::interface6::aggregator_operation
| aggregator_operation ()
void | start ()
| Call start before handling this operation. More...
void | finish ()
| Call finish when done handling this operation. More...
aggregator_operation * | next ()
void | set_next (aggregator_operation *n)

## Private Member Functions

void | apply_body () __TBB_override
Private Member Functions inherited from tbb::internal::no_assign
void | operator= (const no_assign &)=delete
| no_assign (const no_assign &)=default
| no_assign ()=default

## Private Attributes

const Body & | my_body

## Additional Inherited Members

Public Types inherited from tbb::interface6::aggregator_operation
enum | aggregator_operation_status { agg_waiting =0, agg_finished }

## Detailed Description

### template<typename Body>
class tbb::interface6::internal::basic_operation< Body >

Definition at line 62 of file aggregator.h.

## Constructor & Destructor Documentation

## basic_operation()

template<typename Body>

tbb::interface6::internal::basic_operation< Body >::basic_operation | ( | const Body & | b | ) |

inline

Definition at line 66 of file aggregator.h.

: basic_operation_base(), my_body(b) {}

## Member Function Documentation

## apply_body()

template<typename Body>

void tbb::interface6::internal::basic_operation< Body >::apply_body | ( |  | ) |

inline private virtual

Implements tbb::interface6::internal::basic_operation_base.

Definition at line 64 of file aggregator.h.

{ my_body(); }

## Member Data Documentation

## my_body

template<typename Body>

const Body& tbb::interface6::internal::basic_operation< Body >::my_body

private

Definition at line 63 of file aggregator.h.

The documentation for this class was generated from the following file:

- aggregator.h

tbb::interface6::internal::basic_operation::my_body
const Body & my_body
Definition: aggregator.h:63
tbb::interface6::internal::basic_operation_base::basic_operation_base
basic_operation_base()
Definition: aggregator.h:57

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.